# class RubyProf::AggregateCallInfo

### Attributes

call_infos[R]
method_info[R]

### Public Class Methods

new(call_infos, method_info) click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 6
    def initialize(call_infos, method_info)
      if call_infos.length == 0
        raise(ArgumentError, "Must specify at least one call info.")
      end
      @call_infos = call_infos
      @method_info = method_info
    end

### Public Instance Methods

called() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 48
    def called
      aggregate_all(:called)
    end

children() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 26
    def children
      call_infos.inject(Array.new) do |result, call_info|
        result.concat(call_info.children)
      end
    end

children_time() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 44
    def children_time
      aggregate_roots(:children_time)
    end

line() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 22
    def line
      call_infos.first.line
    end

parent() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 18
    def parent
      call_infos.first.parent
    end

self_time() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 36
    def self_time
      aggregate_roots(:self_time)
    end

target() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 14
    def target
      call_infos.first.target
    end

to_s() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 52
    def to_s
      "#{call_infos.first.target.full_name}"
    end

total_time() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 32
    def total_time
      aggregate_roots(:total_time)
    end

wait_time() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 40
    def wait_time
      aggregate_roots(:wait_time)
    end